Bulk categorize transactions
curl --request POST \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/bank-transactions/bulk-categorize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"transactions": [
{
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"categorization": {
"type": "Category",
"category": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
]
}
'{
"results": [
{
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"success": true,
"transaction": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_transaction_id": "g4DlKyjXqGH3Kp5XlaWMtwLRrE4Z9AiE8B4Ko",
"source_account_id": "Aaoy8G7VXZHVeqNoL1GvcmkPdqpLRWi9NArdG",
"external_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"imported_at": "2023-11-07T05:31:56Z",
"date": "2023-11-07T05:31:56Z",
"amount": 123,
"counterparty_name": "WeWork",
"description": "WeWork monthly rent payment",
"account_name": "Plaid Checking",
"category": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "RENT",
"display_name": "Rent",
"stable_name": "RENT"
},
"suggested_matches": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"date": "2023-11-07T05:31:56Z",
"description": "Transfer from SavingsAccount to CheckingAccount"
}
}
],
"match": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bank_transaction": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": "2023-11-07T05:31:56Z",
"amount": 123,
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_transaction_id": "g4DlKyjXqGH3Kp5XlaWMtwLRrE4Z9AiE8B4Ko",
"source_account_id": "Aaoy8G7VXZHVeqNoL1GvcmkPdqpLRWi9NArdG",
"external_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"imported_at": "2023-11-07T05:31:56Z",
"counterparty_name": "WeWork",
"description": "WeWork monthly rent payment",
"account_name": "Plaid Checking",
"memo": "<string>",
"metadata": {
"custom_field": "value",
"any valid json": "below 1kb",
"nested": {
"meaning of life": 42,
"array": []
}
},
"reference_number": "<string>"
},
"details": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"date": "2023-11-07T05:31:56Z",
"description": "Transfer from SavingsAccount to CheckingAccount"
}
},
"transaction_tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "ExampleTagKey",
"value": "ExampleTagValue",
"dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimension_display_name": "<string>",
"value_display_name": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
],
"memo": "<string>",
"metadata": {
"custom_field": "value",
"any valid json": "below 1kb",
"nested": {
"meaning of life": 42,
"array": []
}
},
"reference_number": "<string>",
"update_categorization_rules_suggestion": {
"type": "Create_Categorization_Rule_For_Counterparty",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"new_rule": {
"name": "<string>",
"category": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"suggestion_1": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"suggestion_2": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"suggestion_3": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"apply_retroactively": false,
"external_id": "<string>",
"created_by_suggestion_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchant_type_filter": "<string>",
"transaction_description_filter": "<string>",
"counterparty_filter": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount_min_filter": 123,
"amount_max_filter": 123
},
"suggestion_prompt": "<string>",
"transactions_that_will_be_affected": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_transaction_id": "g4DlKyjXqGH3Kp5XlaWMtwLRrE4Z9AiE8B4Ko",
"source_account_id": "Aaoy8G7VXZHVeqNoL1GvcmkPdqpLRWi9NArdG",
"external_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"imported_at": "2023-11-07T05:31:56Z",
"date": "2023-11-07T05:31:56Z",
"amount": 123,
"counterparty_name": "WeWork",
"description": "WeWork monthly rent payment",
"account_name": "Plaid Checking",
"memo": "<string>",
"metadata": {
"custom_field": "value",
"any valid json": "below 1kb",
"nested": {
"meaning of life": 42,
"array": []
}
},
"reference_number": "<string>"
}
],
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_name": "<string>",
"counterparty": {},
"accepted_at": "2023-11-07T05:31:56Z",
"dismissed_at": "2023-11-07T05:31:56Z"
}
},
"error": "<string>"
}
]
}Bank Transactions
Bulk categorize transactions
Categorize multiple bank transactions in a single request. Each transaction in the request must include a transaction_id and a categorization object specifying how to categorize it.
POST
/
v1
/
businesses
/
{businessId}
/
bank-transactions
/
bulk-categorize
Bulk categorize transactions
curl --request POST \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/bank-transactions/bulk-categorize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"transactions": [
{
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"categorization": {
"type": "Category",
"category": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
]
}
'{
"results": [
{
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"success": true,
"transaction": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_transaction_id": "g4DlKyjXqGH3Kp5XlaWMtwLRrE4Z9AiE8B4Ko",
"source_account_id": "Aaoy8G7VXZHVeqNoL1GvcmkPdqpLRWi9NArdG",
"external_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"imported_at": "2023-11-07T05:31:56Z",
"date": "2023-11-07T05:31:56Z",
"amount": 123,
"counterparty_name": "WeWork",
"description": "WeWork monthly rent payment",
"account_name": "Plaid Checking",
"category": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "RENT",
"display_name": "Rent",
"stable_name": "RENT"
},
"suggested_matches": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"date": "2023-11-07T05:31:56Z",
"description": "Transfer from SavingsAccount to CheckingAccount"
}
}
],
"match": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bank_transaction": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": "2023-11-07T05:31:56Z",
"amount": 123,
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_transaction_id": "g4DlKyjXqGH3Kp5XlaWMtwLRrE4Z9AiE8B4Ko",
"source_account_id": "Aaoy8G7VXZHVeqNoL1GvcmkPdqpLRWi9NArdG",
"external_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"imported_at": "2023-11-07T05:31:56Z",
"counterparty_name": "WeWork",
"description": "WeWork monthly rent payment",
"account_name": "Plaid Checking",
"memo": "<string>",
"metadata": {
"custom_field": "value",
"any valid json": "below 1kb",
"nested": {
"meaning of life": 42,
"array": []
}
},
"reference_number": "<string>"
},
"details": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"date": "2023-11-07T05:31:56Z",
"description": "Transfer from SavingsAccount to CheckingAccount"
}
},
"transaction_tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "ExampleTagKey",
"value": "ExampleTagValue",
"dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimension_display_name": "<string>",
"value_display_name": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
],
"memo": "<string>",
"metadata": {
"custom_field": "value",
"any valid json": "below 1kb",
"nested": {
"meaning of life": 42,
"array": []
}
},
"reference_number": "<string>",
"update_categorization_rules_suggestion": {
"type": "Create_Categorization_Rule_For_Counterparty",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"new_rule": {
"name": "<string>",
"category": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"suggestion_1": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"suggestion_2": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"suggestion_3": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"apply_retroactively": false,
"external_id": "<string>",
"created_by_suggestion_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"merchant_type_filter": "<string>",
"transaction_description_filter": "<string>",
"counterparty_filter": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount_min_filter": 123,
"amount_max_filter": 123
},
"suggestion_prompt": "<string>",
"transactions_that_will_be_affected": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_transaction_id": "g4DlKyjXqGH3Kp5XlaWMtwLRrE4Z9AiE8B4Ko",
"source_account_id": "Aaoy8G7VXZHVeqNoL1GvcmkPdqpLRWi9NArdG",
"external_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"imported_at": "2023-11-07T05:31:56Z",
"date": "2023-11-07T05:31:56Z",
"amount": 123,
"counterparty_name": "WeWork",
"description": "WeWork monthly rent payment",
"account_name": "Plaid Checking",
"memo": "<string>",
"metadata": {
"custom_field": "value",
"any valid json": "below 1kb",
"nested": {
"meaning of life": 42,
"array": []
}
},
"reference_number": "<string>"
}
],
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_name": "<string>",
"counterparty": {},
"accepted_at": "2023-11-07T05:31:56Z",
"dismissed_at": "2023-11-07T05:31:56Z"
}
},
"error": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json.
Path Parameters
The UUID of the business.
Body
application/json
List of transactions to categorize.
Show child attributes
Show child attributes
Response
Bulk categorization results.
Results for each transaction categorization.
Show child attributes
Show child attributes
⌘I